/***************************************************************************
 *   Copyright (C) 2010 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QtGui/QApplication>
#include <QTranslator>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    // 翻訳ファイルを有効にする。
    // ファイルはリソースの中に。
    //@memo インスタンスが出来る前に翻訳は入れないといけない。
    //      てかこれ以前も同じ事で悩んだのに忘れてんじゃねえよ。
    QTranslator translator;
    translator.load(":/lang/nopview.qm");
    a.installTranslator(&translator);

    MainWindow w;
    w.show();
    QStringList l = a.arguments();
    l.removeFirst();
    if (l.count()) {
        w.catalog->loadCatalog(l.first());
        w.search();
    }
    return a.exec();
}
